/*
                         Open To GtkMenu Creating

	The Open To GtkMenus are used by the File Browser and Image
	Browser to allow the user to select which MIME Type command
	to open a selected object or objects with.

	The Open To GtkMenu should be regenerated each time a new
	object is selected.
 */

#ifndef EDV_OPEN_TO_MENU_H
#define EDV_OPEN_TO_MENU_H

#include <gtk/gtk.h>
#include "edv_types.h"
#include "edv_mime_type.h"


extern GtkWidget *edv_open_to_menu_new_from_mime_type(
	EDVCore *core,
	EDVMIMEType *m,
	GList *(*paths_list_get_cb)(gpointer),
	gpointer paths_list_get_data,
	void (*goto_directory_cb)(gpointer, const gchar *),
	gpointer goto_directory_data,
	GtkWidget *toplevel,
	const gboolean verbose
);


#endif	/* EDV_OPEN_TO_MENU_H */
